#include <iostream>
using namespace std;
int main() {
    int a ,t, l=0, q=0;
    cin >> a;
    int b[a], s[a];
    for (int i=0; i<a; i++) {
        cin >> b[i];
    }
    for (int j=0; j<a; j++) {
        cin >> s[j];
    }
    for (int f=0; f<a-1; f++) {
        if (b[f+q]>b[f+q+1]) {
            t=f;
        }
        else {
            t=f+1;
        }
        if (t-1<a-t) {
            if (b[f+q]==b[t-1]) {
                l+=s[t];
            }
            q=t;
        }
        +
        else {
            a=t-1;
            if (b[f+q]==b[a+q]) {
                l+=s[t];
            }
        }
        
    }
    cout << l;
    return 0;
}